> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar lançamentos do caixa



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /caixa
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /caixa:
    get:
      tags:
        - Caixa
      summary: Listar lançamentos do caixa
      operationId: ListarLancamentosCaixaAction
      parameters:
        - $ref: '#/components/parameters/nomeClienteCaixa'
        - $ref: '#/components/parameters/historicoCaixa'
        - $ref: '#/components/parameters/dataInicialCaixa'
        - $ref: '#/components/parameters/dataFinalCaixa'
        - $ref: '#/components/parameters/contaFinanceiraCaixa'
        - $ref: '#/components/parameters/categoriaCaixa'
        - $ref: '#/components/parameters/tipoLancamentoCaixa'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_caixa_limit'
        - $ref: '#/components/parameters/get_caixa_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/ListagemLancamentosCaixaResponseModel
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    nomeClienteCaixa:
      name: nomeCliente
      in: query
      description: Pesquisa por nome do cliente
      required: false
      schema:
        type: string
    historicoCaixa:
      name: historico
      in: query
      description: Pesquisa por histórico do lançamento
      required: false
      schema:
        type: string
    dataInicialCaixa:
      name: dataInicial
      in: query
      description: Pesquisa através da data de emissão do lançamento
      required: false
      schema:
        type: string
    dataFinalCaixa:
      name: dataFinal
      in: query
      description: Pesquisa através da data de emissão do lançamento
      required: false
      schema:
        type: string
    contaFinanceiraCaixa:
      name: idContaFinanceira
      in: query
      description: Pesquisa por identificador da conta financeira
      required: false
      schema:
        type: integer
    categoriaCaixa:
      name: idCategoria
      in: query
      description: Pesquisa por identificador da categoria
      required: false
      schema:
        type: integer
    tipoLancamentoCaixa:
      name: tipo
      in: query
      description: |-
        Pesquisa por tipo do lançamento
        - D - Saida
        - C - Entrada
        - S - Saldo
      required: false
      schema:
        enum:
          - D
          - C
          - S
      x-enumDescriptions:
        - D - Saida
        - C - Entrada
        - S - Saldo
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_caixa_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_caixa_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemLancamentosCaixaResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        historico:
          type: string
        data:
          type: string
        dataCompetencia:
          type: string
        valor:
          type: number
          format: float
        tipo:
          description: |-

            - D - Saida
            - C - Entrada
            - S - Saldo
          type: string
          enum:
            - D
            - C
            - S
          x-enumDescriptions:
            - D - Saida
            - C - Entrada
            - S - Saldo
        conta:
          $ref: '#/components/schemas/ContaFinanceiraResponseModel'
        contato:
          $ref: '#/components/schemas/ContatoModelResponse'
      type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ContaFinanceiraResponseModel:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
        descricao:
          type: string
      type: object
    ContatoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````